package com.yonge.cooleshow.admin.controller;

import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.entity.Subject;
import com.yonge.cooleshow.biz.dal.service.HomeService;
import com.yonge.cooleshow.biz.dal.vo.HomeTotalVo;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/home")
@Api(value = "首页", tags = "首页")
public class HomeController extends BaseController {
    @Autowired
    private HomeService homeService;
    @Autowired
    private SysUserFeignService sysUserFeignService;

    @ApiOperation(value = "查询用户待办事项数")
    @GetMapping("/getUserToDoNum")
    @PreAuthorize("@pcs.hasPermissions('home/getUserToDoNum')")
    public HttpResponseResult<HomeTotalVo> getUserToDoNum() {
        SysUser user = sysUserFeignService.queryUserInfo();
        if (user == null || null == user.getId()) {
            return failed(HttpStatus.FORBIDDEN, "请登录");
        }
        return succeed(homeService.getUserToDoNum(user.getId()));
    }

}